complexType "AdjustableDateOrRelativeDateSequence"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustableDate | relativeDateSequence
</...>

Content Model Elements (2):

  adjustableDate (in valuationDate defined in EquityValuation complexType),
  relativeDateSequence (in valuationDate defined in EquityValuation complexType)

All Direct / Indirect Based Elements (1):

  valuationDate (defined in EquityValuation complexType)

Known Usage Locations

- As direct type of elements (1):
  valuationDate (defined in EquityValuation complexType)

Annotation
A type describing a date defined as subject to adjustment or defined in reference to another date through one or several date offsets.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AdjustableDateOrRelativeDateSequence"> <xsd:choice> <xsd:element name="adjustableDate" type="AdjustableDate"/> <xsd:element name="relativeDateSequence" type="RelativeDateSequence"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
adjustableDate

  Type: | AdjustableDate, complex content

  A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustableDate" type="AdjustableDate"/>

relativeDateSequence

  Type: | RelativeDateSequence, complex content

  A date specified in relation to some other date defined in the document (the anchor date), where there is the opportunity to specify a combination of offset rules. This component will typically be used for defining the valuation date in relation to the payment date, as both the currency and the exchange holiday calendars need to be considered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="relativeDateSequence" type="RelativeDateSequence"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.